import jwt from 'jsonwebtoken'

// get auth headers from request context and verify token
const { AUTH_SECRET } = process.env
async function context({ req }: { req: { headers: { authorization?: string } } }) {
  if (req.headers.authorization && req.headers.authorization.indexOf('Bearer ') === 0) {
    try {
      const accessToken = req.headers.authorization.slice(7)
      const user = jwt.verify(accessToken, AUTH_SECRET)
      return { user }
    } catch (e) {
      console.error('Auth error:', e)
    }
  }
}
